/*  $Id: Point.h,v 1.3 1997/04/04 08:23:18 jan Exp $

    Part of XPCE
    Designed and implemented by Anjo Anjewierden and Jan Wielemaker
    E-mail: jan@swi.psy.uva.nl

    Copyright (C) 1993-1997 University of Amsterdam. All rights reserved.
*/

#ifndef _PCE_POINT_H
#define _PCE_POINT_H

PceExternalClass(ClassPoint);
class PcePoint :public PceObject
{
public:
  PcePoint() :
    PceObject(ClassPoint)
  {
  }
  PcePoint(PceArg x) :
    PceObject(ClassPoint, x)
  {
  }
  PcePoint(PceArg x, PceArg y) :
    PceObject(ClassPoint, x, y)
  {
  }
};

inline PcePoint
AsPoint(PceArg a)
{ return *((PcePoint*) &a);
}

#endif /*!_PCE_POINT_H*/
